Nest Authbeta

POST /auth/send-phone-verification

Send phone verification (SMS OTP)

Send phone verification (SMS OTP)

POST/auth/send-phone-verification

Request body

NestAuthSendPhoneVerificationRequestDto

FieldTypeRequiredDescription
tenantIdstringoptionalTenant ID for multi-tenant applications
Example: 123e4567-e89b-12d3-a456-426614174000

Examples

Example
{
  "tenantId": "123e4567-e89b-12d3-a456-426614174000"
}

Responses

200

NestAuthPhoneVerificationSentResponseDto

FieldTypeRequiredDescription
messagestringrequiredResponse message
Example: Verification SMS sent

Example response

{
  "message": "Verification SMS sent"
}

Try it

curl -X POST 'https://api.example.com/auth/send-phone-verification' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -d '{"tenantId":"123e4567-e89b-12d3-a456-426614174000"}'

On this page